function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var DIcon = function(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? '1em' : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        xmlns: "http://www.w3.org/2000/svg",
        version: "1.0",
        viewBox: "0 0 300 300"
    }), /*#__PURE__*/ React.createElement("path", {
        fill: "#f44336",
        d: "M282.21 47.29a15.76 15.81 0 0 0-15.76 15.81 15.76 15.81 0 0 0 15.76 15.82 15.76 15.81 0 0 0 15.76-15.82 15.76 15.81 0 0 0-15.76-15.81zm-173.77 5.29-64.73.11c-.28 0-.55-.04-.82 0-3.17.46-5.65 3.45-5.66 7.06l.2 184.41c0 2.79.64 8.55 7.31 8.55l59.94-.28c17.13-.04 28.61-.38 35.45-1.4h.16c6.54-1.07 13.47-3.04 21-5.93 13.1-4.82 24.71-11.95 34.69-21.47 9.78-9.22 17.36-20.14 22.68-32.42 5.19-11.97 7.86-24.61 7.98-37.71a44 43.13 0 0 0 39.09-42.87 44 43.13 0 0 0-44-43.13 44 43.13 0 0 0-28.57 10.33c-6.04-5.25-12.74-9.7-20.06-13.32-16.49-8.24-37.99-11.99-64.66-11.93zm-2.8 38.01c13.04-.03 22.32.44 27.58 1.29 5.33.86 11.18 2.68 17.36 5.5 6.14 2.75 11.48 6.12 16.08 10.32 12.63 11.58 18.59 25.28 18.62 43.42.03 18.57-5.73 33.04-18.04 45.17-3.79 3.68-8 6.8-12.65 9.39-4.39 2.41-10.11 4.48-17.35 6.27-6.82 1.61-17.17 2.53-30.66 2.55l-28.71.05-.14-123.91 27.91-.05z"
    }));
};
export default DIcon;
